function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
import { useEditorStyleRegister } from "../Hooks/useStyle";
var genStyle = function genStyle(token) {
    var _obj;
    return _define_property({}, token.componentCls, (_obj = {
        position: 'relative',
        display: 'inline-block',
        width: 'fit-content',
        margin: 0,
        padding: 0,
        fontSize: 11,
        lineHeight: 1,
        listStyle: 'none',
        verticalAlign: 'middle',
        boxSizing: 'border-box'
    }, _define_property(_obj, "".concat(token.componentCls, "-dot"), {
        display: 'inline-flex',
        justifyContent: 'center',
        padding: '3px 4px',
        textAlign: 'center',
        border: '1px solid rgba(191, 215, 240, 0.25)',
        borderRadius: 4
    }), _define_property(_obj, "&".concat(token.componentCls, "-status-watermark"), _define_property({}, "".concat(token.componentCls, "-dot"), {
        background: 'transparent',
        border: '1px solid var(--color-gray-border-light)',
        backdropFilter: 'blur(40px)'
    })), _define_property(_obj, "&".concat(token.componentCls, "-status-emphasis"), _define_property({}, "".concat(token.componentCls, "-dot"), {
        background: 'linear-gradient(180deg, #ECF2FF 0%, #F3F7FF 100%)',
        border: '1px solid #FFFFFF'
    })), _define_property(_obj, "&".concat(token.componentCls, "-with-children"), _define_property({}, "".concat(token.componentCls, "-dot"), {
        position: 'absolute',
        top: 0,
        insetInlineEnd: '0',
        transform: 'translate(50%, -50%)',
        transformOrigin: '100% 0%'
    })), _define_property(_obj, "&".concat(token.componentCls, "-tooltip-visible"), _define_property({}, "".concat(token.componentCls, "-dot"), {
        background: 'linear-gradient(293deg, #EBECFF 39%, #F0F4FF 62%, #EBF5FF 91%)',
        backdropFilter: 'blur(40px)',
        transition: 'all 0.2s ease-in-out'
    })), _obj));
};
export var prefixCls = 'ai-label';
export function useStyle(prefixCls) {
    return useEditorStyleRegister('ai-label', function(token) {
        var badgeToken = _object_spread_props(_object_spread({}, token), {
            componentCls: ".".concat(prefixCls)
        });
        return [
            genStyle(badgeToken)
        ];
    });
}
